=== debian/control ===
Source: ros-melodic-mesh-msgs-hdf5
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-hdf5-map-io, ros-melodic-label-manager, ros-melodic-mesh-msgs
Homepage: http://wiki.ros.org/ros_mesh_tools/mesh_msgs_hdf5
Standards-Version: 3.9.2

Package: ros-melodic-mesh-msgs-hdf5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hdf5-map-io, ros-melodic-label-manager, ros-melodic-mesh-msgs
Description: Read and write mesh_msgs to and from hdf5
