=== debian/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 Package: ros-melodic-mesh-msgs-hdf5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hdf5-map-io, ros-melodic-label-manager, ros-melodic-mesh-msgs
-Description: Read and write mesh_msgs to and from hdf5
+Description: Read mesh_msgs from hdf5
